we now require Imager 0.88